[Overview][Resource strings][Types][Classes][Index] | Reference for unit 'CacheCls' (#fcl)

# TCache.Data

Indexed access to data items

## Declaration

Source position: cachecls.pp line 88

`public property TCache.Data[SlotIndex: Integer] : Pointer read GetData write SetData;`

## Description

Data offers index-based access to the data pointers in the cache. By accessing an item in the list in this manner, the item is moved to the front of the MRU list, i.e. MRUSlot will point to the accessed item. The access is both read and write.

The index is zero-based and can maximally be SlotCount-1. Providing an invalid index will result in an exception.

## See also

TCache.MRUSlot |  | Most recent item slot.